dpkg-scanpackages(1)

NOM
dpkg-scanpackages - Créer des fichiers d'index de paquets.

SYNOPSIS
dpkg-scanpackages [option...] chemin-de-binaires [fichier-override [préfixe-chemin]] > Paquets

DESCRIPTION
dpkg-scanpackages sorts through a tree of Debian binary packages and creates a Packages file, used by apt(8), dselect(1), etc, to tell the user what packages are available for installation. These Packages files are the same as those found on Debian archive sites and media discs. You might use dpkg-scanpackages yourself if making a directory of local packages to install on a cluster of machines.

Note: If you want to access the generated Packages file with apt(8) you will probably need to compress the file with xz(1) (generating a Packages.xz file), bzip2(1) (generating a Packages.bz2 file) or gzip(1) (generating a Packages.gz file). apt(8) ignores uncompressed Packages files except on local access (i.e. file:// sources).

chemin-de-binaires est le nom de l'arborescence des paquets binaires (par exemple contrib/binary-i386) que l'on veut traiter. Il vaut mieux qu'il soit relatif à la racine de l'archive Debian ; ainsi chaque champ « Filename » dans le nouveau fichier « Packages » commencera par cette chaîne.

override-file is the name of a file to read which contains information about how the package fits into the distribution (the file can be compressed since dpkg 1.15.5); see deb-override(5).

préfixe-chemin est une chaîne facultative qui préfixera les champs « Filename ».

S'il existe plusieurs versions d'un paquet, seule la plus récente est affichée en sortie. Si les paquets ont la même version mais diffèrent par l'architecture, seul le premier trouvé est utilisé.

OPTIONS

-t, --type type
    Recherche des fichiers *.type, plutôt que *.deb.

-e, --extra-override fichier
    Scan file to find supplementary overrides (the file can be compressed since dpkg 1.15.5). See deb-extra-override(5) for more information on its format.

-a, --arch arch
    Utilise un motif se composant de *_all.deb et de *_arch.deb, plutôt que de rechercher tous les fichiers deb.

-h, --hash liste-de-hachage
    Générer uniquement le hachage de fichiers spécifiés (liste séparée par des virgules - depuis dpkg 1.17.14). Par défaut, cela génère tous les hachages actuellement pris en charge. Valeurs prises en charges : md5, sha1, sha256.

-m, --multiversion
    Affiche tous les paquets trouvés en sortie.

-M, --medium chaîne-id
    Ajoute un champ X-Medium qui contient la valeur chaîne-id (depuis dpkg 1.15.5). Ce champ est obligatoire si vous voulez créer des fichiers Packages.cd destinés à être utilisés avec la méthode d'accès media de dselect.

-?, --help
    Afficher un message d'aide puis quitter.

--version
    Afficher le numéro de version puis quitter.

ENVIRONNEMENT

DPKG_COLORS
    Définit le mode de couleur (depuis dpkg 1.18.5). Les valeurs actuellement acceptées sont auto (par défaut), always et never.

DPKG_NLS
    Si cette variable est définie, elle sera utilisée pour décider l'activation de la prise en charge des langues (NLS – Native Language Support), connu aussi comme la gestion de l'internationalisation (ou i18n) (depuis dpkg 1.19.0). Les valeurs permises sont : 0 et 1 (par défaut).

DIAGNOSTICS
dpkg-scanpackages affiche les erreurs habituelles qui se comprennent d'elles-mêmes. Il affiche aussi des avertissements quand des paquets sont dans un mauvais sous-répertoire, existent en double exemplaire, ont des champs « Filename » dans leur fichier « control », sont absents du fichier « override » ou bien dont les substitutions de responsable ne peuvent pas s'appliquer.

VOIR AUSSI
dpkg(1), dselect(1), deb-override(5), deb-extra-override(5), dpkg-scansources(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.